Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.bcpg
Class CompressedDataPacket

    java.lang.Object
      org.bouncycastle.bcpg.Packet
          org.bouncycastle.bcpg.InputStreamPacket
              org.bouncycastle.bcpg.CompressedDataPacket

All Implemented Interfaces:
  PacketTags

    public class CompressedDataPacket

extends InputStreamPacket

generic compressed data object.

Field Summary

Fields inherited from interface org.bouncycastle.bcpg.PacketTags
`COMPRESSED_DATA, EXPERIMENTAL_1, EXPERIMENTAL_2, EXPERIMENTAL_3, EXPERIMENTAL_4, LITERAL_DATA, MARKER, MOD_DETECTION_CODE, ONE_PASS_SIGNATURE, PUBLIC_KEY, PUBLIC_KEY_ENC_SESSION, PUBLIC_SUBKEY, RESERVED, SECRET_KEY, SECRET_SUBKEY, SIGNATURE, SYM_ENC_INTEGRITY_PRO, SYMMETRIC_KEY_ENC, SYMMETRIC_KEY_ENC_SESSION, TRUST, USER_ATTRIBUTE, USER_ID`

Method Summary
`int` `getAlgorithm()` return the algorithm tag value.

Methods inherited from class org.bouncycastle.bcpg.InputStreamPacket
`getInputStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getAlgorithm

    public int getAlgorithm()

  return the algorithm tag value.

  Returns:
    algorithm tag value.

Bouncy Castle Cryptography Library 1.45